geos::index::strtree::ItemDistance Class Referenceabstract

A function method which computes the distance between two ItemBoundables in an STRtree. Used for Nearest Neighbour searches. More...

`#include <ItemDistance.h>`

## Public Member Functions

virtual double | distance (const ItemBoundable *item1, const ItemBoundable *item2)=0
| Computes the distance between two items.

## Detailed Description

A function method which computes the distance between two ItemBoundables in an STRtree. Used for Nearest Neighbour searches.

Author
  Martin Davis

## Member Function Documentation

## distance()

virtual double geos::index::strtree::ItemDistance::distance | ( | const ItemBoundable * | item1,
|  | const ItemBoundable * | item2 )

pure virtual

Computes the distance between two items.

Parameters

  item1 |
  item2 |

Returns
  the distance between the items

Exceptions

  IllegalArgumentException | if the metric is not applicable to the arguments

The documentation for this class was generated from the following file:

- ItemDistance.h